"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const operators_1 = require("rxjs/operators");
const observables_1 = require("../observables");
const facebook_messenger_api_client_1 = require("../utils/facebook-messenger-api-client");
function sendQuickReplies(messageOrFn, quickReplies) {
    return (source) => source.pipe(operators_1.mergeMap(async (ev) => {
        const message = typeof messageOrFn === 'function' ? messageOrFn(ev) : messageOrFn;
        await facebook_messenger_api_client_1.send({ message: { text: message, quick_replies: quickReplies }, messaging_type: 'RESPONSE' }, { senderId: ev.sender.id });
        return quickReplies.map(quickReply => quickReply.payload);
    }), operators_1.switchMapTo(observables_1.event$));
}
exports.sendQuickReplies = sendQuickReplies;
