"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const operators_1 = require("rxjs/operators");
const facebook_messenger_api_client_1 = require("../utils/facebook-messenger-api-client");
function say(messageOrFn) {
    return (source) => source.pipe(operators_1.mergeMap(async (ev) => {
        const message = typeof messageOrFn === 'function' ? await messageOrFn(ev) : messageOrFn;
        await facebook_messenger_api_client_1.send({ message: { text: message } }, { senderId: ev.sender.id });
        return ev;
    }));
}
exports.say = say;
